Package org.apache.jmeter.visualizers.backend.graphite

# Class SocketConnectionInfos

java.lang.Object
org.apache.jmeter.visualizers.backend.graphite.SocketConnectionInfos

public class SocketConnectionInfos extends Object
Bean to embed host/port to Graphite

Since:
  2.13

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SocketConnectionInfos(String host, int port)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHost()`
  `int`
  `getPort()`
  `void`
  `setHost(String host)`
  `void`
  `setPort(int port)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SocketConnectionInfos

    public SocketConnectionInfos(String host, int port)
    Parameters:
      `host` - the name of the host to connect to
      `port` - the port to connect to

- ## Method Details

  - ### getHost

    public String getHost()
    Returns:
      the host

  - ### setHost

    public void setHost(String host)
    Parameters:
      `host` - the host to set

  - ### getPort

    public int getPort()
    Returns:
      the port

  - ### setPort

    public void setPort(int port)
    Parameters:
      `port` - the port to set